<?php

namespace App\GenDocument\Vars;


/**
 * The class is used to return the name of the class which manages the requested pivot fields config.
 * @author Gabriel Grosu
 */
class PivotBuilderConfig
{

	/**
	 * Returns the name of the class which is used for the current pivot fields config management.
	 * @param String $pivot
	 */
	static public function fromPivot($pivot) {
		$class = '\App\GenDocument\Vars\Config_'.ucfirst($pivot);
		return $class::getInstance();
	}
}

